--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: URL
  value: "'https://secure.netbilling.com:1402/gw/sas/direct3.1'"
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSACTIONS
  value: "{         :authorization       => 'A',         :purchase            => 'S',         :referenced_credit   => 'R',         :unreferenced_credit => 'C',         :capture             => 'D'"
- !ruby/object:RI::Constant 
  comment: 
  name: SUCCESS_CODES
  value: "[ '1', 'T' ]"
- !ruby/object:RI::Constant 
  comment: 
  name: SUCCESS_MESSAGE
  value: "'The transaction was approved'"
- !ruby/object:RI::Constant 
  comment: 
  name: FAILURE_MESSAGE
  value: "'The transaction failed'"
- !ruby/object:RI::Constant 
  comment: 
  name: TEST_LOGIN
  value: "'104901072025'"
full_name: ActiveMerchant::Billing::NetbillingGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: test?
name: NetbillingGateway
superclass: Gateway
